Bug 229619 - [GStreamer] Fix deadlock tearing down pipeline when using fallback sink
Summary: [GStreamer] Fix deadlock tearing down pipeline when using fallback sink
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Thibault Saunier
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-08-27 11:36 PDT by Thibault Saunier
Modified: 2021-08-31 15:51 PDT (History)
14 users (show)

See Also:


Attachments
Patch (1.80 KB, patch)
2021-08-27 11:37 PDT, Thibault Saunier
no flags Details | Formatted Diff | Diff
Patch (1.79 KB, patch)
2021-08-27 11:53 PDT, Thibault Saunier
no flags Details | Formatted Diff | Diff
Patch (1.79 KB, patch)
2021-08-28 09:05 PDT, Thibault Saunier
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibault Saunier 2021-08-27 11:36:01 PDT
[GStreamer] Fix deadlock tearing down pipeline when using fallback sink
Comment 1 Thibault Saunier 2021-08-27 11:37:56 PDT
Created attachment 436645 [details]
Patch
Comment 2 Thibault Saunier 2021-08-27 11:53:42 PDT
Created attachment 436651 [details]
Patch
Comment 3 Xabier Rodríguez Calvar 2021-08-28 08:42:33 PDT
Comment on attachment 436651 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=436651&action=review

> Source/WebCore/ChangeLog:8
> +        Whenever GstGL is disable for whatever reason the fallback sink might

disabled
Comment 4 Thibault Saunier 2021-08-28 09:05:54 PDT
Created attachment 436715 [details]
Patch
Comment 5 EWS 2021-08-31 15:50:53 PDT
Committed r281827 (241161@main): <https://commits.webkit.org/241161@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436715 [details].
Comment 6 Radar WebKit Bug Importer 2021-08-31 15:51:20 PDT
<rdar://problem/82600382>